#ifndef __SVPDIALOG_h_
#define __SVPDIALOG_h_

#  include <TROOT.h>
#  include <TGFrame.h>
#  include <TRootEmbeddedCanvas.h>


class SVPDialog : public TGMainFrame 
{
private:

    TGHorizontalFrame   *fGraphicsFrame;

    TGLayoutHints       *fL3, *fL4;
    TRootEmbeddedCanvas *fEmbeddedCanvas;

    TList *fCleanup;

    void AddEmbeddedCanvas();

public:

    // Main constructor with default values.
    SVPDialog(const TGWindow *p, UInt_t w = 1200, UInt_t h = 400, UInt_t options = 0);

    // Destructor, clean up after ourselves.
    virtual ~SVPDialog();

    // slots - Methods by which we handle callbacks.
    void CloseWindow();

    ClassDef(SVPDialog, 0);  // Define the class for root.
};

#endif
